Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|
| DELETE |
/api/facts/{id} |
|
200 |
| GET |
/api/facts/{id} |
|
200 FactDto |
| PATCH |
/api/facts/{id} |
|
200 FactDto |
| GET |
/api/projects/{projectId}/facts |
|
200 PagedResultOfFactDto |
| POST |
/api/projects/{projectId}/facts |
|
200 FactWriteDto |
| GET |
/api/projects/{projectId}/facts/by-key/{key} |
|
200 FactDto |
| GET |
/api/projects/{projectId}/facts/by-key/{key}/as-of |
|
200 FactDto |
| GET |
/api/projects/{projectId}/facts/by-key/{key}/history |
|
200 FactDto[] |
| GET |
/api/projects/{projectId}/facts/search |
|
200 FactDto[] |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
FactDto
| Property | Type | Description |
| id |
int64 |
|
| guid |
uuid |
|
| projectId |
int64 |
|
| key |
string |
|
| value |
string |
|
| category |
null,string |
|
| importance |
int32 |
|
| isCritical |
boolean |
|
| provenance |
Provenance |
|
| validFromUtc |
date-time |
|
| validUntilUtc |
date-time |
|
| temporalSource |
null,string |
|
| isCurrent |
boolean |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|
FactWriteDto
| Property | Type | Description |
| id |
int64 |
|
| guid |
uuid |
|
| projectId |
int64 |
|
| key |
string |
|
| category |
null,string |
|
| importance |
int32 |
|
| provenance |
Provenance |
|
| valueLength |
int32 |
|
| isCurrent |
boolean |
|
| createdAtUtc |
date-time |
|
| updatedAtUtc |
date-time |
|
PagedResultOfFactDto
| Property | Type | Description |
| items* |
FactDto[] |
|
| totalCount |
int32 |
|
| page |
int32 |
|
| pageSize |
int32 |
|
| hasTotal |
boolean |
|
| moreAvailable |
null,boolean |
|
| totalPages |
int32 |
|
| hasNextPage |
boolean |
|
| hasPreviousPage |
boolean |
|